MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024607Open CASCADE[OCCT] OCCT:Codingpublic2014-02-08 17:242014-05-05 13:38
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024607: Fix some GCC compiler warnings
DescriptionFix some GCC compiler warnings:

Aspect_ColorScale.cxx:510: enumeration value ‘Aspect_TOCSP_NONE’ not handled in switch
Aspect_ColorScale.cxx:510: enumeration value ‘Aspect_TOCSP_LEFT’ not handled in switch
NIS_Triangulated.cxx:776: comparison between signed and unsigned integer expressions
NIS_Triangulated.cxx:1077: comparison between signed and unsigned integer expressions
OSD_MAllocHook.cxx:501: comparison between signed and unsigned integer expressions
OSD_MAllocHook.cxx:532: comparison between signed and unsigned integer expressions
OpenGl_Workspace_2.cxx:48: ‘GLsizei getNearestPowOfTwo(GLsizei)’ defined but not used
OpenGl_Workspace_2.cxx:60: ‘void fitDimensionsRatio(Standard_Integer&, Standard_Integer&, Standard_Real)’ defined but not used
ProjLib_ComputeApprox.cxx:56: ‘void Parameters(const Handle_Adaptor3d_HCurve&, const Handle_Adaptor3d_HSurface&, const gp_Pnt&, Standard_Integer, Standard_Real, Standard_Real&, Standard_Real&)’ declared ‘static’ but never defined
RWStl.cxx:345: comparison between signed and unsigned integer expressions
TNaming_DeltaOnModification.cxx:73: enumeration value ‘TNaming_REPLACE’ not handled in switch
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027820)
abv (manager)
2014-02-08 17:28

Fix (tentative) pushed to CR24607, please review
(0027822)
kgv (developer)
2014-02-08 19:22

I have no remarks save the misprint in commit message ", rojLib_ComputeApprox.cxx".
(0027823)
abv (manager)
2014-02-10 08:45

Commit description corrected. Please compile the branch on Linux and check before testing whether the warnings in mentioned files have disappeared.
(0027830)
mkv (tester)
2014-02-10 16:02

Dear BugMaster,

Branch CR24607 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: f27a4b9858e539d7b7f996699560de5bac8b840c

Number of compiler warnings:

occt component :
Linux: 31 (40 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 381048148 / 381807740
Total CPU difference: 42534.259999999806 / 42213.479999999996

Testing on Windows:
Total MEMORY difference: 430691004 / 431123492
Total CPU difference: 33336.828125 / 34130.65625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 8cb69787
Timestamp: 2014-02-08 13:26:06
Author: abv
Committer: apn
Details ] Diff ]
0024607: Fix some GCC compiler warnings

- enumeration value not handled in switch in Aspect_ColorScale.cxx, TNaming_DeltaOnModification.cxx
- comparison between signed and unsigned integer expressions in NIS_Triangulated.cxx, OSD_MAllocHook.cxx, RWStl.cxx
- static function defined or declared but not used in OpenGl_Workspace_2.cxx, ProjLib_ComputeApprox.cxx
mod - src/Aspect/Aspect_ColorScale.cxx Diff ] File ]
mod - src/NIS/NIS_Triangulated.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_2.cxx Diff ] File ]
mod - src/OSD/OSD_MAllocHook.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApprox.cxx Diff ] File ]
mod - src/RWStl/RWStl.cxx Diff ] File ]
mod - src/TNaming/TNaming_DeltaOnModification.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-08 17:24 abv New Issue
2014-02-08 17:24 abv Assigned To => kgv
2014-02-08 17:28 abv Note Added: 0027820
2014-02-08 17:28 abv Status new => resolved
2014-02-08 19:22 kgv Note Added: 0027822
2014-02-10 08:45 abv Note Added: 0027823
2014-02-10 08:45 abv Assigned To kgv => bugmaster
2014-02-10 08:45 abv Status resolved => reviewed
2014-02-10 09:55 mkv Assigned To bugmaster => mkv
2014-02-10 16:02 mkv Note Added: 0027830
2014-02-10 16:03 mkv Test case number => Not needed
2014-02-10 16:03 mkv Assigned To mkv => bugmaster
2014-02-10 16:03 mkv Status reviewed => tested
2014-02-14 12:00 apn Changeset attached => occt master 8cb69787
2014-02-14 12:00 apn Assigned To bugmaster => apn
2014-02-14 12:00 apn Status tested => verified
2014-02-14 12:00 apn Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:38 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker